# webdriver-hj3415

## 프로젝트 개요
`webdriver-hj3415`는 다양한 브라우저(WebDriver)를 손쉽게 실행하고 관리할 수 있도록 도와주는 Python 라이브러리입니다. 
이 프로젝트는 Selenium 및 WebDriver Manager를 활용하여 크롬, 파이어폭스, 엣지, 사파리 등의 웹 드라이버를 자동으로 설정하고 실행합니다.

## 지원하는 브라우저
- Chrome
- Firefox
- Edge
- Safari
- Chromium

## 설치 방법

```bash
pip install webdriver-hj3415
```

## 사용법

### WebDriver 실행하기
```python
from webdriver_hj3415.drivers import get

driver = get("chrome", headless=True)
```

다른 브라우저 실행 예제:
```python
driver = get("firefox")
driver = get("edge")
driver = get("safari")
driver = get("chromium")
```

## 기능 설명
- 자동 WebDriver 설치
- 랜덤 User-Agent 적용
- Headless 모드 지원
- 파일 다운로드 경로 설정
- Geolocation 설정 지원

## 코드 구조
```
webdriver-hj3415/
│── webdriver_hj3415/
│   ├── __init__.py
│   ├── drivers.py
│── tests/
│   ├── test_drivers.py
│── README.md
│── requirements.txt
```

## 의존성 목록
- selenium
- webdriver-manager
